http://data.jobs.iot.{region}.amazonaws.com/things/{thingName}/jobs/{jobId}Gets details of a job execution.
The unique identifier assigned to this job when it was created.
The thing name associated with the device the job execution is running on.
Optional. When set to true, the response contains the job document. The default is false.
Optional. A number that identifies a particular job execution on a particular device. If not specified, the latest job execution is returned.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://data.jobs.iot.{region}.amazonaws.com/things/{thingName}/jobs/{jobId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://data.jobs.iot.{region}.amazonaws.com/things/{thingName}/jobs/{jobId}Gets details of a job execution.
The unique identifier assigned to this job when it was created.
The thing name associated with the device the job execution is running on.
Optional. When set to true, the response contains the job document. The default is false.
Optional. A number that identifies a particular job execution on a particular device. If not specified, the latest job execution is returned.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://data.jobs.iot.{region}.amazonaws.com/things/{thingName}/jobs/{jobId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}